OccurrenceJobPersistence (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.persistence.dao

## Class OccurrenceJobPersistence

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.persistence.dao.AbstractPersistence<OccurrencesJob>
  - - org.gcube.portlets.user.speciesdiscovery.server.persistence.dao.OccurrenceJobPersistence

-     public class OccurrenceJobPersistence
      extends AbstractPersistence<OccurrencesJob>

- - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.dao.AbstractPersistence

      `AND, entityManagerFactory, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceJobPersistence(javax.persistence.EntityManagerFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countItems()`
    `int` | `deleteItemByIdField(String idField)`
    `List<OccurrencesJob>` | `executeCriteriaQuery(javax.persistence.criteria.CriteriaQuery<Object> criteriaQuery)`
    `List<OccurrencesJob>` | `executeTypedQuery(javax.persistence.criteria.CriteriaQuery<Object> cq, int startIndex, int offset)`
    `javax.persistence.criteria.CriteriaBuilder` | `getCriteriaBuilder()`
    `OccurrencesJob` | `getItemByKey(Integer id)`
    `List<OccurrencesJob>` | `getList()`
    `List<OccurrencesJob>` | `getList(int startIndex, int offset)`
    `List<OccurrencesJob>` | `getList(Map<String,String> filterMap, int startIndex, int offset)`
    `int` | `removeAll()`
    `javax.persistence.criteria.Root<OccurrencesJob>` | `rootFrom(javax.persistence.criteria.CriteriaQuery<Object> cq)`

    - ### Methods inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.dao.AbstractPersistence

      `createNewManager, getEntityManagerFactory, insert, remove, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrenceJobPersistence

          public OccurrenceJobPersistence(javax.persistence.EntityManagerFactory factory)

  - ### Method Detail

    - #### removeAll

          public int removeAll()
                        throws DatabaseServiceException

      Specified by:
        `removeAll` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### getList

          public List<OccurrencesJob> getList()
                                       throws DatabaseServiceException

      Specified by:
        `getList` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### countItems

          public int countItems()
                         throws DatabaseServiceException

      Specified by:
        `countItems` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### getItemByKey

          public OccurrencesJob getItemByKey(Integer id)
                                      throws DatabaseServiceException

      Specified by:
        `getItemByKey` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### executeCriteriaQuery

          public List<OccurrencesJob> executeCriteriaQuery(javax.persistence.criteria.CriteriaQuery<Object> criteriaQuery)
                                                    throws DatabaseServiceException

      Specified by:
        `executeCriteriaQuery` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### getCriteriaBuilder

          public javax.persistence.criteria.CriteriaBuilder getCriteriaBuilder()
                                                                        throws DatabaseServiceException

      Specified by:
        `getCriteriaBuilder` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### rootFrom

          public javax.persistence.criteria.Root<OccurrencesJob> rootFrom(javax.persistence.criteria.CriteriaQuery<Object> cq)

      Specified by:
        `rootFrom` in class `AbstractPersistence<OccurrencesJob>`
      Returns:

    - #### getList

          public List<OccurrencesJob> getList(int startIndex,
                                     int offset)
                                       throws DatabaseServiceException

      Specified by:
        `getList` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### getList

          public List<OccurrencesJob> getList(Map<String,String> filterMap,
                                     int startIndex,
                                     int offset)
                                       throws DatabaseServiceException

      Specified by:
        `getList` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### executeTypedQuery

          public List<OccurrencesJob> executeTypedQuery(javax.persistence.criteria.CriteriaQuery<Object> cq,
                                               int startIndex,
                                               int offset)
                                                 throws DatabaseServiceException

      Specified by:
        `executeTypedQuery` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

    - #### deleteItemByIdField

          public int deleteItemByIdField(String idField)
                                  throws DatabaseServiceException

      Specified by:
        `deleteItemByIdField` in class `AbstractPersistence<OccurrencesJob>`
      Returns:
      Throws:
        `DatabaseServiceException`

Copyright © 2013. All Rights Reserved.